class HelpSearch
Same name and namespace in other branches
- 11.x core/modules/help/src/Plugin/Search/HelpSearch.php \Drupal\help\Plugin\Search\HelpSearch
- 10 core/modules/help_topics/src/Plugin/Search/HelpSearch.php \Drupal\help_topics\Plugin\Search\HelpSearch
- 10 core/modules/help/src/Plugin/Search/HelpSearch.php \Drupal\help\Plugin\Search\HelpSearch
- 9 core/modules/help_topics/src/Plugin/Search/HelpSearch.php \Drupal\help_topics\Plugin\Search\HelpSearch
- 8.9.x core/modules/help_topics/src/Plugin/Search/HelpSearch.php \Drupal\help_topics\Plugin\Search\HelpSearch
Handles searching for help using the Search module index.
Help items are indexed if their HelpSection plugin implements \Drupal\help\HelpSearchInterface.
@internal Plugin classes are internal.
Attributes
Hierarchy
- class \Drupal\Component\Plugin\PluginBase implements \Drupal\Component\Plugin\PluginInspectionInterface, \Drupal\Component\Plugin\DerivativeInspectionInterface
- class \Drupal\Core\Plugin\PluginBase uses \Drupal\Core\DependencyInjection\AutowiredInstanceTrait, \Drupal\Core\StringTranslation\StringTranslationTrait, \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Messenger\MessengerTrait extends \Drupal\Component\Plugin\PluginBase
- class \Drupal\search\Plugin\SearchPluginBase implements \Drupal\Core\Plugin\ContainerFactoryPluginInterface, \Drupal\search\Plugin\SearchInterface, \Drupal\Core\Cache\RefinableCacheableDependencyInterface uses \Drupal\Core\Cache\RefinableCacheableDependencyTrait extends \Drupal\Core\Plugin\PluginBase
- class \Drupal\help\Plugin\Search\HelpSearch implements \Drupal\Core\Access\AccessibleInterface, \Drupal\search\Plugin\SearchIndexingInterface extends \Drupal\search\Plugin\SearchPluginBase
- class \Drupal\search\Plugin\SearchPluginBase implements \Drupal\Core\Plugin\ContainerFactoryPluginInterface, \Drupal\search\Plugin\SearchInterface, \Drupal\Core\Cache\RefinableCacheableDependencyInterface uses \Drupal\Core\Cache\RefinableCacheableDependencyTrait extends \Drupal\Core\Plugin\PluginBase
- class \Drupal\Core\Plugin\PluginBase uses \Drupal\Core\DependencyInjection\AutowiredInstanceTrait, \Drupal\Core\StringTranslation\StringTranslationTrait, \Drupal\Core\DependencyInjection\DependencySerializationTrait, \Drupal\Core\Messenger\MessengerTrait extends \Drupal\Component\Plugin\PluginBase
Expanded class hierarchy of HelpSearch
Deprecated
in drupal:11.4.0 and is removed from drupal:12.0.0. Instead, use \Drupal\search_help\Plugin\Search\HelpSearch.
See also
\Drupal\help\HelpSearchInterface
\Drupal\help\HelpSectionPluginInterface
https://www.drupal.org/node/3581109
1 file declares its use of HelpSearch
- HelpTopicSearchTest.php in core/
modules/ help/ tests/ src/ Functional/ HelpTopicSearchTest.php
File
-
core/
modules/ help/ src/ Plugin/ Search/ HelpSearch.php, line 37
Namespace
Drupal\help\Plugin\SearchView source
class HelpSearch extends SearchPluginBase implements AccessibleInterface, SearchIndexingInterface {
/**
* The current database connection.
*
* @var \Drupal\Core\Database\Connection
*/
protected $database;
/**
* A config object for 'search.settings'.
*
* @var \Drupal\Core\Config\Config
*/
protected $searchSettings;
/**
* The language manager.
*
* @var \Drupal\Core\Language\LanguageManagerInterface
*/
protected $languageManager;
/**
* The Drupal account to use for checking for access to search.
*
* @var \Drupal\Core\Session\AccountInterface
*/
protected $account;
/**
* The messenger.
*
* @var \Drupal\Core\Messenger\MessengerInterface
*/
protected $messenger;
/**
* The state object.
*
* @var \Drupal\Core\State\StateInterface
*/
protected $state;
/**
* The help section plugin manager.
*
* @var \Drupal\help\HelpSectionManager
*/
protected $helpSectionManager;
/**
* The search index.
*
* @var \Drupal\search\SearchIndexInterface
*/
protected $searchIndex;
/**
* {@inheritdoc}
*/
public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
return new static($configuration, $plugin_id, $plugin_definition, $container->get('database'), $container->get('config.factory')
->get('search.settings'), $container->get('language_manager'), $container->get('messenger'), $container->get('current_user'), $container->get('state'), $container->get('plugin.manager.help_section'), $container->get('search.index'));
}
/**
* Constructs a \Drupal\help_search\Plugin\Search\HelpSearch object.
*
* @param array $configuration
* Configuration for the plugin.
* @param string $plugin_id
* The plugin ID for the plugin instance.
* @param mixed $plugin_definition
* The plugin implementation definition.
* @param \Drupal\Core\Database\Connection $database
* The current database connection.
* @param \Drupal\Core\Config\Config $search_settings
* A config object for 'search.settings'.
* @param \Drupal\Core\Language\LanguageManagerInterface $language_manager
* The language manager.
* @param \Drupal\Core\Messenger\MessengerInterface $messenger
* The messenger.
* @param \Drupal\Core\Session\AccountInterface $account
* The $account object to use for checking for access to view help.
* @param \Drupal\Core\State\StateInterface $state
* The state object.
* @param \Drupal\help\HelpSectionManager $help_section_manager
* The help section manager.
* @param \Drupal\search\SearchIndexInterface $search_index
* The search index.
*/
public function __construct(array $configuration, $plugin_id, $plugin_definition, Connection $database, Config $search_settings, LanguageManagerInterface $language_manager, MessengerInterface $messenger, AccountInterface $account, StateInterface $state, HelpSectionManager $help_section_manager, SearchIndexInterface $search_index) {
@trigger_error(__CLASS__ . ' is deprecated in drupal:11.4.0 and is removed from drupal:12.0.0. Instead, use \\Drupal\\search_help\\Plugin\\Search\\HelpSearch. See https://www.drupal.org/node/3581109', E_USER_DEPRECATED);
parent::__construct($configuration, $plugin_id, $plugin_definition);
$this->database = $database;
$this->searchSettings = $search_settings;
$this->languageManager = $language_manager;
$this->messenger = $messenger;
$this->account = $account;
$this->state = $state;
$this->helpSectionManager = $help_section_manager;
$this->searchIndex = $search_index;
}
/**
* {@inheritdoc}
*/
public function access($operation = 'view', ?AccountInterface $account = NULL, $return_as_object = FALSE) {
return AccessResult::forbidden();
}
/**
* {@inheritdoc}
*/
public function execute() {
return [];
}
/**
* {@inheritdoc}
*/
public function updateIndex() {
}
/**
* {@inheritdoc}
*/
public function indexClear() {
}
/**
* {@inheritdoc}
*/
public function markForReindex() {
}
/**
* {@inheritdoc}
*/
public function indexStatus() {
return [];
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overriden Title | Overrides |
|---|---|---|---|---|---|
| AutowiredInstanceTrait::createInstanceAutowired | public static | function | Instantiates a new instance of the implementing class using autowiring. | ||
| AutowiredInstanceTrait::getAutowireArguments | private static | function | Resolves arguments for a method using autowiring. | ||
| CacheableDependencyTrait::$cacheContexts | protected | property | Cache contexts. | ||
| CacheableDependencyTrait::$cacheMaxAge | protected | property | Cache max-age. | ||
| CacheableDependencyTrait::$cacheTags | protected | property | Cache tags. | ||
| CacheableDependencyTrait::getCacheContexts | public | function | 4 | ||
| CacheableDependencyTrait::getCacheMaxAge | public | function | 4 | ||
| CacheableDependencyTrait::getCacheTags | public | function | 4 | ||
| CacheableDependencyTrait::setCacheability | protected | function | Sets cacheability; useful for value object constructors. | ||
| DependencySerializationTrait::$_entityStorages | protected | property | An array of entity type IDs keyed by the property name of their storages. | ||
| DependencySerializationTrait::$_serviceIds | protected | property | An array of service IDs keyed by property name used for serialization. | ||
| DependencySerializationTrait::__sleep | public | function | 2 | ||
| DependencySerializationTrait::__wakeup | public | function | 2 | ||
| HelpSearch::$account | protected | property | The Drupal account to use for checking for access to search. | ||
| HelpSearch::$database | protected | property | The current database connection. | ||
| HelpSearch::$helpSectionManager | protected | property | The help section plugin manager. | ||
| HelpSearch::$languageManager | protected | property | The language manager. | ||
| HelpSearch::$messenger | protected | property | The messenger. | Overrides MessengerTrait::$messenger | |
| HelpSearch::$searchIndex | protected | property | The search index. | ||
| HelpSearch::$searchSettings | protected | property | A config object for 'search.settings'. | ||
| HelpSearch::$state | protected | property | The state object. | ||
| HelpSearch::access | public | function | Checks data value access. | Overrides AccessibleInterface::access | |
| HelpSearch::create | public static | function | Instantiates a new instance of the implementing class using autowiring. | Overrides PluginBase::create | |
| HelpSearch::execute | public | function | Executes the search. | Overrides SearchInterface::execute | |
| HelpSearch::indexClear | public | function | Clears the search index for this plugin. | Overrides SearchIndexingInterface::indexClear | |
| HelpSearch::indexStatus | public | function | Reports the status of indexing. | Overrides SearchIndexingInterface::indexStatus | |
| HelpSearch::markForReindex | public | function | Marks the search index for reindexing for this plugin. | Overrides SearchIndexingInterface::markForReindex | |
| HelpSearch::updateIndex | public | function | Updates the search index for this plugin. | Overrides SearchIndexingInterface::updateIndex | |
| HelpSearch::__construct | public | function | Constructs a \Drupal\help_search\Plugin\Search\HelpSearch object. | Overrides PluginBase::__construct | |
| MessengerTrait::messenger | public | function | Gets the messenger. | 27 | |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | ||
| PluginBase::$configuration | protected | property | Configuration information passed into the plugin. | 1 | |
| PluginBase::$pluginDefinition | protected | property | The plugin implementation definition. | 1 | |
| PluginBase::$pluginId | protected | property | The plugin ID. | ||
| PluginBase::DERIVATIVE_SEPARATOR | constant | A string which is used to separate base plugin IDs from the derivative ID. | |||
| PluginBase::getBaseId | public | function | Gets the base_plugin_id of the plugin instance. | Overrides DerivativeInspectionInterface::getBaseId | |
| PluginBase::getDerivativeId | public | function | Gets the derivative_id of the plugin instance. | Overrides DerivativeInspectionInterface::getDerivativeId | |
| PluginBase::getPluginDefinition | public | function | Gets the definition of the plugin implementation. | Overrides PluginInspectionInterface::getPluginDefinition | 2 |
| PluginBase::getPluginId | public | function | Gets the plugin ID of the plugin instance. | Overrides PluginInspectionInterface::getPluginId | |
| RefinableCacheableDependencyTrait::addCacheableDependency | public | function | 1 | ||
| RefinableCacheableDependencyTrait::addCacheContexts | public | function | |||
| RefinableCacheableDependencyTrait::addCacheTags | public | function | |||
| RefinableCacheableDependencyTrait::mergeCacheMaxAge | public | function | |||
| SearchPluginBase::$keywords | protected | property | The keywords to use in a search. | ||
| SearchPluginBase::$searchAttributes | protected | property | Array of attributes - usually from the request object. | ||
| SearchPluginBase::$searchParameters | protected | property | Array of parameters from the query string from the request. | ||
| SearchPluginBase::buildResults | public | function | Executes the search and builds render arrays for the result items. | Overrides SearchInterface::buildResults | 1 |
| SearchPluginBase::buildSearchUrlQuery | public | function | Builds the URL GET query parameters array for search. | Overrides SearchInterface::buildSearchUrlQuery | 1 |
| SearchPluginBase::getAttributes | public | function | Returns the currently set attributes (from the request). | Overrides SearchInterface::getAttributes | |
| SearchPluginBase::getHelp | public | function | Returns the searching help. | Overrides SearchInterface::getHelp | 1 |
| SearchPluginBase::getKeywords | public | function | Returns the currently set keywords of the plugin instance. | Overrides SearchInterface::getKeywords | |
| SearchPluginBase::getParameters | public | function | Returns the current parameters set using setSearch(). | Overrides SearchInterface::getParameters | |
| SearchPluginBase::getType | public | function | Returns the search index type this plugin uses. | Overrides SearchInterface::getType | 2 |
| SearchPluginBase::isSearchExecutable | public | function | Verifies if the values set via setSearch() are valid and sufficient. | Overrides SearchInterface::isSearchExecutable | 3 |
| SearchPluginBase::searchFormAlter | public | function | Alters the search form when being built for a given plugin. | Overrides SearchInterface::searchFormAlter | 1 |
| SearchPluginBase::setSearch | public | function | Sets the keywords, parameters, and attributes to be used by execute(). | Overrides SearchInterface::setSearch | 1 |
| SearchPluginBase::suggestedTitle | public | function | Provides a suggested title for a page of search results. | Overrides SearchInterface::suggestedTitle | |
| SearchPluginBase::usesAdminTheme | public | function | Returns whether or not search results should be displayed in admin theme. | Overrides SearchInterface::usesAdminTheme | |
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 | |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | ||
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | ||
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | ||
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 | |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | 1 |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.